Forum Settings
This Forum is Read Only

Need Tech HelpFollow

#1 Sep 22 2010 at 5:09 PM Rating: Decent
15 posts
Trying to install FFXIV and this is what it's stuck at:

After selecting English as my language, it tells me that it can't install because I need Windows Vista Service Pack 2.

Problem is, I have Windows 7 Ultimate... WTH??

Anyone know if there is anything I can do?
#2 Sep 22 2010 at 5:13 PM Rating: Good
36 posts
Here you go - previous discussion about the same problem and a fix :)
This forum is read only
This Forum is Read Only!
Recent Visitors: 22 All times are in CDT
Anonymous Guests (22)